"Fossies" - the Fresh Open Source Software Archive

Member "giis_4.6.2/src/config.status" (27 Mar 2012, 23556 Bytes) of package /linux/misc/old/giis_4.6.2.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers and code folding option. Alternatively you can here view or download the uninterpreted source code file.

    1 #! /bin/sh
    2 # Generated by configure.
    3 # Run this file to recreate the current configuration.
    4 # Compiler output produced by configure, useful for debugging
    5 # configure, is in config.log if it exists.
    6 
    7 debug=false
    8 ac_cs_recheck=false
    9 ac_cs_silent=false
   10 SHELL=${CONFIG_SHELL-/bin/sh}
   11 ## --------------------- ##
   12 ## M4sh Initialization.  ##
   13 ## --------------------- ##
   14 
   15 # Be more Bourne compatible
   16 DUALCASE=1; export DUALCASE # for MKS sh
   17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
   18   emulate sh
   19   NULLCMD=:
   20   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
   21   # is contrary to our usage.  Disable this feature.
   22   alias -g '${1+"$@"}'='"$@"'
   23   setopt NO_GLOB_SUBST
   24 else
   25   case `(set -o) 2>/dev/null` in
   26   *posix*) set -o posix ;;
   27 esac
   28 
   29 fi
   30 
   31 
   32 
   33 
   34 # PATH needs CR
   35 # Avoid depending upon Character Ranges.
   36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
   37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
   38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
   39 as_cr_digits='0123456789'
   40 as_cr_alnum=$as_cr_Letters$as_cr_digits
   41 
   42 # The user is always right.
   43 if test "${PATH_SEPARATOR+set}" != set; then
   44   echo "#! /bin/sh" >conf$$.sh
   45   echo  "exit 0"   >>conf$$.sh
   46   chmod +x conf$$.sh
   47   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
   48     PATH_SEPARATOR=';'
   49   else
   50     PATH_SEPARATOR=:
   51   fi
   52   rm -f conf$$.sh
   53 fi
   54 
   55 # Support unset when possible.
   56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
   57   as_unset=unset
   58 else
   59   as_unset=false
   60 fi
   61 
   62 
   63 # IFS
   64 # We need space, tab and new line, in precisely that order.  Quoting is
   65 # there to prevent editors from complaining about space-tab.
   66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
   67 # splitting by setting IFS to empty value.)
   68 as_nl='
   69 '
   70 IFS=" ""    $as_nl"
   71 
   72 # Find who we are.  Look in the path if we contain no directory separator.
   73 case $0 in
   74   *[\\/]* ) as_myself=$0 ;;
   75   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
   76 for as_dir in $PATH
   77 do
   78   IFS=$as_save_IFS
   79   test -z "$as_dir" && as_dir=.
   80   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
   81 done
   82 IFS=$as_save_IFS
   83 
   84      ;;
   85 esac
   86 # We did not find ourselves, most probably we were run as `sh COMMAND'
   87 # in which case we are not to be found in the path.
   88 if test "x$as_myself" = x; then
   89   as_myself=$0
   90 fi
   91 if test ! -f "$as_myself"; then
   92   echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
   93   { (exit 1); exit 1; }
   94 fi
   95 
   96 # Work around bugs in pre-3.0 UWIN ksh.
   97 for as_var in ENV MAIL MAILPATH
   98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
   99 done
  100 PS1='$ '
  101 PS2='> '
  102 PS4='+ '
  103 
  104 # NLS nuisances.
  105 for as_var in \
  106   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  107   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  108   LC_TELEPHONE LC_TIME
  109 do
  110   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  111     eval $as_var=C; export $as_var
  112   else
  113     ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
  114   fi
  115 done
  116 
  117 # Required to use basename.
  118 if expr a : '\(a\)' >/dev/null 2>&1 &&
  119    test "X`expr 00001 : '.*\(...\)'`" = X001; then
  120   as_expr=expr
  121 else
  122   as_expr=false
  123 fi
  124 
  125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  126   as_basename=basename
  127 else
  128   as_basename=false
  129 fi
  130 
  131 
  132 # Name of the executable.
  133 as_me=`$as_basename -- "$0" ||
  134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
  135      X"$0" : 'X\(//\)$' \| \
  136      X"$0" : 'X\(/\)' \| . 2>/dev/null ||
  137 echo X/"$0" |
  138     sed '/^.*\/\([^/][^/]*\)\/*$/{
  139         s//\1/
  140         q
  141       }
  142       /^X\/\(\/\/\)$/{
  143         s//\1/
  144         q
  145       }
  146       /^X\/\(\/\).*/{
  147         s//\1/
  148         q
  149       }
  150       s/.*/./; q'`
  151 
  152 # CDPATH.
  153 $as_unset CDPATH
  154 
  155 
  156 
  157   as_lineno_1=$LINENO
  158   as_lineno_2=$LINENO
  159   test "x$as_lineno_1" != "x$as_lineno_2" &&
  160   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
  161 
  162   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  163   # uniformly replaced by the line number.  The first 'sed' inserts a
  164   # line-number line after each line using $LINENO; the second 'sed'
  165   # does the real work.  The second script uses 'N' to pair each
  166   # line-number line with the line containing $LINENO, and appends
  167   # trailing '-' during substitution so that $LINENO is not a special
  168   # case at line end.
  169   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  170   # scripts with optimization help from Paolo Bonzini.  Blame Lee
  171   # E. McMahon (1931-1989) for sed's syntax.  :-)
  172   sed -n '
  173     p
  174     /[$]LINENO/=
  175   ' <$as_myself |
  176     sed '
  177       s/[$]LINENO.*/&-/
  178       t lineno
  179       b
  180       :lineno
  181       N
  182       :loop
  183       s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
  184       t loop
  185       s/-\n.*//
  186     ' >$as_me.lineno &&
  187   chmod +x "$as_me.lineno" ||
  188     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
  189    { (exit 1); exit 1; }; }
  190 
  191   # Don't try to exec as it changes $[0], causing all sort of problems
  192   # (the dirname of $[0] is not the place where we might find the
  193   # original and so on.  Autoconf is especially sensitive to this).
  194   . "./$as_me.lineno"
  195   # Exit status is that of the last command.
  196   exit
  197 }
  198 
  199 
  200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  201   as_dirname=dirname
  202 else
  203   as_dirname=false
  204 fi
  205 
  206 ECHO_C= ECHO_N= ECHO_T=
  207 case `echo -n x` in
  208 -n*)
  209   case `echo 'x\c'` in
  210   *c*) ECHO_T=' ';; # ECHO_T is single tab character.
  211   *)   ECHO_C='\c';;
  212   esac;;
  213 *)
  214   ECHO_N='-n';;
  215 esac
  216 
  217 if expr a : '\(a\)' >/dev/null 2>&1 &&
  218    test "X`expr 00001 : '.*\(...\)'`" = X001; then
  219   as_expr=expr
  220 else
  221   as_expr=false
  222 fi
  223 
  224 rm -f conf$$ conf$$.exe conf$$.file
  225 if test -d conf$$.dir; then
  226   rm -f conf$$.dir/conf$$.file
  227 else
  228   rm -f conf$$.dir
  229   mkdir conf$$.dir
  230 fi
  231 echo >conf$$.file
  232 if ln -s conf$$.file conf$$ 2>/dev/null; then
  233   as_ln_s='ln -s'
  234   # ... but there are two gotchas:
  235   # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
  236   # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
  237   # In both cases, we have to default to `cp -p'.
  238   ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
  239     as_ln_s='cp -p'
  240 elif ln conf$$.file conf$$ 2>/dev/null; then
  241   as_ln_s=ln
  242 else
  243   as_ln_s='cp -p'
  244 fi
  245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
  246 rmdir conf$$.dir 2>/dev/null
  247 
  248 if mkdir -p . 2>/dev/null; then
  249   as_mkdir_p=:
  250 else
  251   test -d ./-p && rmdir ./-p
  252   as_mkdir_p=false
  253 fi
  254 
  255 if test -x / >/dev/null 2>&1; then
  256   as_test_x='test -x'
  257 else
  258   if ls -dL / >/dev/null 2>&1; then
  259     as_ls_L_option=L
  260   else
  261     as_ls_L_option=
  262   fi
  263   as_test_x='
  264     eval sh -c '\''
  265       if test -d "$1"; then
  266         test -d "$1/.";
  267       else
  268     case $1 in
  269         -*)set "./$1";;
  270     esac;
  271     case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
  272     ???[sx]*):;;*)false;;esac;fi
  273     '\'' sh
  274   '
  275 fi
  276 as_executable_p=$as_test_x
  277 
  278 # Sed expression to map a string onto a valid CPP name.
  279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  280 
  281 # Sed expression to map a string onto a valid variable name.
  282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  283 
  284 
  285 exec 6>&1
  286 
  287 # Save the log message, to keep $[0] and so on meaningful, and to
  288 # report actual input values of CONFIG_FILES etc. instead of their
  289 # values after options handling.
  290 ac_log="
  291 This file was extended by FULL-PACKAGE-NAME $as_me VERSION, which was
  292 generated by GNU Autoconf 2.61.  Invocation command line was
  293 
  294   CONFIG_FILES    = $CONFIG_FILES
  295   CONFIG_HEADERS  = $CONFIG_HEADERS
  296   CONFIG_LINKS    = $CONFIG_LINKS
  297   CONFIG_COMMANDS = $CONFIG_COMMANDS
  298   $ $0 $@
  299 
  300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
  301 "
  302 
  303 # Files that config.status was made for.
  304 config_files=" Makefile"
  305 config_headers=" config.h"
  306 
  307 ac_cs_usage="\
  308 \`$as_me' instantiates files from templates according to the
  309 current configuration.
  310 
  311 Usage: $0 [OPTIONS] [FILE]...
  312 
  313   -h, --help       print this help, then exit
  314   -V, --version    print version number and configuration settings, then exit
  315   -q, --quiet      do not print progress messages
  316   -d, --debug      don't remove temporary files
  317       --recheck    update $as_me by reconfiguring in the same conditions
  318   --file=FILE[:TEMPLATE]
  319            instantiate the configuration file FILE
  320   --header=FILE[:TEMPLATE]
  321            instantiate the configuration header FILE
  322 
  323 Configuration files:
  324 $config_files
  325 
  326 Configuration headers:
  327 $config_headers
  328 
  329 Report bugs to <bug-autoconf@gnu.org>."
  330 
  331 ac_cs_version="\
  332 FULL-PACKAGE-NAME config.status VERSION
  333 configured by ./configure, generated by GNU Autoconf 2.61,
  334   with options \"\"
  335 
  336 Copyright (C) 2006 Free Software Foundation, Inc.
  337 This config.status script is free software; the Free Software Foundation
  338 gives unlimited permission to copy, distribute and modify it."
  339 
  340 ac_pwd='/root/Desktop/giis_4.6/giis_4.6/src'
  341 srcdir='.'
  342 # If no file are specified by the user, then we need to provide default
  343 # value.  By we need to know if files were specified by the user.
  344 ac_need_defaults=:
  345 while test $# != 0
  346 do
  347   case $1 in
  348   --*=*)
  349     ac_option=`expr "X$1" : 'X\([^=]*\)='`
  350     ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
  351     ac_shift=:
  352     ;;
  353   *)
  354     ac_option=$1
  355     ac_optarg=$2
  356     ac_shift=shift
  357     ;;
  358   esac
  359 
  360   case $ac_option in
  361   # Handling of the options.
  362   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  363     ac_cs_recheck=: ;;
  364   --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
  365     echo "$ac_cs_version"; exit ;;
  366   --debug | --debu | --deb | --de | --d | -d )
  367     debug=: ;;
  368   --file | --fil | --fi | --f )
  369     $ac_shift
  370     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  371     ac_need_defaults=false;;
  372   --header | --heade | --head | --hea )
  373     $ac_shift
  374     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  375     ac_need_defaults=false;;
  376   --he | --h)
  377     # Conflict between --help and --header
  378     { echo "$as_me: error: ambiguous option: $1
  379 Try \`$0 --help' for more information." >&2
  380    { (exit 1); exit 1; }; };;
  381   --help | --hel | -h )
  382     echo "$ac_cs_usage"; exit ;;
  383   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  384   | -silent | --silent | --silen | --sile | --sil | --si | --s)
  385     ac_cs_silent=: ;;
  386 
  387   # This is an error.
  388   -*) { echo "$as_me: error: unrecognized option: $1
  389 Try \`$0 --help' for more information." >&2
  390    { (exit 1); exit 1; }; } ;;
  391 
  392   *) ac_config_targets="$ac_config_targets $1"
  393      ac_need_defaults=false ;;
  394 
  395   esac
  396   shift
  397 done
  398 
  399 ac_configure_extra_args=
  400 
  401 if $ac_cs_silent; then
  402   exec 6>/dev/null
  403   ac_configure_extra_args="$ac_configure_extra_args --silent"
  404 fi
  405 
  406 if $ac_cs_recheck; then
  407   echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
  408   CONFIG_SHELL=/bin/sh
  409   export CONFIG_SHELL
  410   exec /bin/sh "./configure" $ac_configure_extra_args --no-create --no-recursion
  411 fi
  412 
  413 exec 5>>config.log
  414 {
  415   echo
  416   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  417 ## Running $as_me. ##
  418 _ASBOX
  419   echo "$ac_log"
  420 } >&5
  421 
  422 
  423 # Handling of arguments.
  424 for ac_config_target in $ac_config_targets
  425 do
  426   case $ac_config_target in
  427     "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  428     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  429 
  430   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  431 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  432    { (exit 1); exit 1; }; };;
  433   esac
  434 done
  435 
  436 
  437 # If the user did not use the arguments to specify the items to instantiate,
  438 # then the envvar interface is used.  Set only those that are not.
  439 # We use the long form for the default assignment because of an extremely
  440 # bizarre bug on SunOS 4.1.3.
  441 if $ac_need_defaults; then
  442   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  443   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  444 fi
  445 
  446 # Have a temporary directory for convenience.  Make it in the build tree
  447 # simply because there is no reason against having it here, and in addition,
  448 # creating and moving files from /tmp can sometimes cause problems.
  449 # Hook for its removal unless debugging.
  450 # Note that there is a small window in which the directory will not be cleaned:
  451 # after its creation but before its name has been assigned to `$tmp'.
  452 $debug ||
  453 {
  454   tmp=
  455   trap 'exit_status=$?
  456   { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
  457 ' 0
  458   trap '{ (exit 1); exit 1; }' 1 2 13 15
  459 }
  460 # Create a (secure) tmp directory for tmp files.
  461 
  462 {
  463   tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
  464   test -n "$tmp" && test -d "$tmp"
  465 }  ||
  466 {
  467   tmp=./conf$$-$RANDOM
  468   (umask 077 && mkdir "$tmp")
  469 } ||
  470 {
  471    echo "$me: cannot create a temporary directory in ." >&2
  472    { (exit 1); exit 1; }
  473 }
  474 
  475 #
  476 # Set up the sed scripts for CONFIG_FILES section.
  477 #
  478 
  479 # No need to generate the scripts if there are no CONFIG_FILES.
  480 # This happens for instance when ./config.status config.h
  481 if test -n "$CONFIG_FILES"; then
  482 
  483 cat >"$tmp/subs-1.sed" <<\CEOF
  484 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
  485 s,@SHELL@,|#_!!_#|/bin/sh,g
  486 s,@PATH_SEPARATOR@,|#_!!_#|:,g
  487 s,@PACKAGE_NAME@,|#_!!_#|FULL-PACKAGE-NAME,g
  488 s,@PACKAGE_TARNAME@,|#_!!_#|full-package-name,g
  489 s,@PACKAGE_VERSION@,|#_!!_#|VERSION,g
  490 s,@PACKAGE_STRING@,|#_!!_#|FULL-PACKAGE-NAME VERSION,g
  491 s,@PACKAGE_BUGREPORT@,|#_!!_#|BUG-REPORT-ADDRESS,g
  492 s,@exec_prefix@,|#_!!_#|${prefix},g
  493 s,@prefix@,|#_!!_#|/usr/local,g
  494 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
  495 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
  496 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
  497 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
  498 s,@datarootdir@,|#_!!_#|${prefix}/share,g
  499 s,@datadir@,|#_!!_#|${datarootdir},g
  500 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
  501 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
  502 s,@localstatedir@,|#_!!_#|${prefix}/var,g
  503 s,@includedir@,|#_!!_#|${prefix}/include,g
  504 s,@oldincludedir@,|#_!!_#|/usr/include,g
  505 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
  506 s,@infodir@,|#_!!_#|${datarootdir}/info,g
  507 s,@htmldir@,|#_!!_#|${docdir},g
  508 s,@dvidir@,|#_!!_#|${docdir},g
  509 s,@pdfdir@,|#_!!_#|${docdir},g
  510 s,@psdir@,|#_!!_#|${docdir},g
  511 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
  512 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
  513 s,@mandir@,|#_!!_#|${datarootdir}/man,g
  514 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
  515 s,@ECHO_C@,|#_!!_#|,g
  516 s,@ECHO_N@,|#_!!_#|-n,g
  517 s,@ECHO_T@,|#_!!_#|,g
  518 s,@LIBS@,|#_!!_#|-lm ,g
  519 s,@build_alias@,|#_!!_#|,g
  520 s,@host_alias@,|#_!!_#|,g
  521 s,@target_alias@,|#_!!_#|,g
  522 s,@CC@,|#_!!_#|gcc,g
  523 s,@CFLAGS@,|#_!!_#|-g -O2,g
  524 s,@LDFLAGS@,|#_!!_#|,g
  525 s,@CPPFLAGS@,|#_!!_#|,g
  526 s,@ac_ct_CC@,|#_!!_#|gcc,g
  527 s,@EXEEXT@,|#_!!_#|,g
  528 s,@OBJEXT@,|#_!!_#|o,g
  529 s,@CPP@,|#_!!_#|gcc -E,g
  530 s,@GREP@,|#_!!_#|/bin/grep,g
  531 s,@EGREP@,|#_!!_#|/bin/grep -E,g
  532 s,@LIBOBJS@,|#_!!_#|,g
  533 s,@LTLIBOBJS@,|#_!!_#|,g
  534 :end
  535 s/|#_!!_#|//g
  536 CEOF
  537 fi # test -n "$CONFIG_FILES"
  538 
  539 
  540 for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS
  541 do
  542   case $ac_tag in
  543   :[FHLC]) ac_mode=$ac_tag; continue;;
  544   esac
  545   case $ac_mode$ac_tag in
  546   :[FHL]*:*);;
  547   :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
  548 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
  549    { (exit 1); exit 1; }; };;
  550   :[FH]-) ac_tag=-:-;;
  551   :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
  552   esac
  553   ac_save_IFS=$IFS
  554   IFS=:
  555   set x $ac_tag
  556   IFS=$ac_save_IFS
  557   shift
  558   ac_file=$1
  559   shift
  560 
  561   case $ac_mode in
  562   :L) ac_source=$1;;
  563   :[FH])
  564     ac_file_inputs=
  565     for ac_f
  566     do
  567       case $ac_f in
  568       -) ac_f="$tmp/stdin";;
  569       *) # Look for the file first in the build tree, then in the source tree
  570      # (if the path is not absolute).  The absolute path cannot be DOS-style,
  571      # because $ac_f cannot contain `:'.
  572      test -f "$ac_f" ||
  573        case $ac_f in
  574        [\\/$]*) false;;
  575        *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
  576        esac ||
  577        { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
  578 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
  579    { (exit 1); exit 1; }; };;
  580       esac
  581       ac_file_inputs="$ac_file_inputs $ac_f"
  582     done
  583 
  584     # Let's still pretend it is `configure' which instantiates (i.e., don't
  585     # use $as_me), people would be surprised to read:
  586     #    /* config.h.  Generated by config.status.  */
  587     configure_input="Generated from "`IFS=:
  588       echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
  589     if test x"$ac_file" != x-; then
  590       configure_input="$ac_file.  $configure_input"
  591       { echo "$as_me:$LINENO: creating $ac_file" >&5
  592 echo "$as_me: creating $ac_file" >&6;}
  593     fi
  594 
  595     case $ac_tag in
  596     *:-:* | *:-) cat >"$tmp/stdin";;
  597     esac
  598     ;;
  599   esac
  600 
  601   ac_dir=`$as_dirname -- "$ac_file" ||
  602 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  603      X"$ac_file" : 'X\(//\)[^/]' \| \
  604      X"$ac_file" : 'X\(//\)$' \| \
  605      X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
  606 echo X"$ac_file" |
  607     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  608         s//\1/
  609         q
  610       }
  611       /^X\(\/\/\)[^/].*/{
  612         s//\1/
  613         q
  614       }
  615       /^X\(\/\/\)$/{
  616         s//\1/
  617         q
  618       }
  619       /^X\(\/\).*/{
  620         s//\1/
  621         q
  622       }
  623       s/.*/./; q'`
  624   { as_dir="$ac_dir"
  625   case $as_dir in #(
  626   -*) as_dir=./$as_dir;;
  627   esac
  628   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
  629     as_dirs=
  630     while :; do
  631       case $as_dir in #(
  632       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
  633       *) as_qdir=$as_dir;;
  634       esac
  635       as_dirs="'$as_qdir' $as_dirs"
  636       as_dir=`$as_dirname -- "$as_dir" ||
  637 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  638      X"$as_dir" : 'X\(//\)[^/]' \| \
  639      X"$as_dir" : 'X\(//\)$' \| \
  640      X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
  641 echo X"$as_dir" |
  642     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  643         s//\1/
  644         q
  645       }
  646       /^X\(\/\/\)[^/].*/{
  647         s//\1/
  648         q
  649       }
  650       /^X\(\/\/\)$/{
  651         s//\1/
  652         q
  653       }
  654       /^X\(\/\).*/{
  655         s//\1/
  656         q
  657       }
  658       s/.*/./; q'`
  659       test -d "$as_dir" && break
  660     done
  661     test -z "$as_dirs" || eval "mkdir $as_dirs"
  662   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
  663 echo "$as_me: error: cannot create directory $as_dir" >&2;}
  664    { (exit 1); exit 1; }; }; }
  665   ac_builddir=.
  666 
  667 case "$ac_dir" in
  668 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
  669 *)
  670   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  671   # A ".." for each directory in $ac_dir_suffix.
  672   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
  673   case $ac_top_builddir_sub in
  674   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  675   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  676   esac ;;
  677 esac
  678 ac_abs_top_builddir=$ac_pwd
  679 ac_abs_builddir=$ac_pwd$ac_dir_suffix
  680 # for backward compatibility:
  681 ac_top_builddir=$ac_top_build_prefix
  682 
  683 case $srcdir in
  684   .)  # We are building in place.
  685     ac_srcdir=.
  686     ac_top_srcdir=$ac_top_builddir_sub
  687     ac_abs_top_srcdir=$ac_pwd ;;
  688   [\\/]* | ?:[\\/]* )  # Absolute name.
  689     ac_srcdir=$srcdir$ac_dir_suffix;
  690     ac_top_srcdir=$srcdir
  691     ac_abs_top_srcdir=$srcdir ;;
  692   *) # Relative name.
  693     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
  694     ac_top_srcdir=$ac_top_build_prefix$srcdir
  695     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
  696 esac
  697 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
  698 
  699 
  700   case $ac_mode in
  701   :F)
  702   #
  703   # CONFIG_FILE
  704   #
  705 
  706 # If the template does not know about datarootdir, expand it.
  707 # FIXME: This hack should be removed a few years after 2.60.
  708 ac_datarootdir_hack=; ac_datarootdir_seen=
  709 
  710 case `sed -n '/datarootdir/ {
  711   p
  712   q
  713 }
  714 /@datadir@/p
  715 /@docdir@/p
  716 /@infodir@/p
  717 /@localedir@/p
  718 /@mandir@/p
  719 ' $ac_file_inputs` in
  720 *datarootdir*) ac_datarootdir_seen=yes;;
  721 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
  722   { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
  723 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
  724   ac_datarootdir_hack='
  725   s&@datadir@&${datarootdir}&g
  726   s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
  727   s&@infodir@&${datarootdir}/info&g
  728   s&@localedir@&${datarootdir}/locale&g
  729   s&@mandir@&${datarootdir}/man&g
  730     s&\${datarootdir}&${prefix}/share&g' ;;
  731 esac
  732   sed "/^[   ]*VPATH[    ]*=/{
  733 s/:*\$(srcdir):*/:/
  734 s/:*\${srcdir}:*/:/
  735 s/:*@srcdir@:*/:/
  736 s/^\([^=]*=[     ]*\):*/\1/
  737 s/:*$//
  738 s/^[^=]*=[   ]*$//
  739 }
  740 
  741 :t
  742 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  743 s&@configure_input@&$configure_input&;t t
  744 s&@top_builddir@&$ac_top_builddir_sub&;t t
  745 s&@srcdir@&$ac_srcdir&;t t
  746 s&@abs_srcdir@&$ac_abs_srcdir&;t t
  747 s&@top_srcdir@&$ac_top_srcdir&;t t
  748 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
  749 s&@builddir@&$ac_builddir&;t t
  750 s&@abs_builddir@&$ac_abs_builddir&;t t
  751 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
  752 $ac_datarootdir_hack
  753 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
  754 
  755 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
  756   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
  757   { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
  758   { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
  759 which seems to be undefined.  Please make sure it is defined." >&5
  760 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
  761 which seems to be undefined.  Please make sure it is defined." >&2;}
  762 
  763   rm -f "$tmp/stdin"
  764   case $ac_file in
  765   -) cat "$tmp/out"; rm -f "$tmp/out";;
  766   *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
  767   esac
  768  ;;
  769   :H)
  770   #
  771   # CONFIG_HEADER
  772   #
  773     # First, check the format of the line:
  774     cat >"$tmp/defines.sed" <<\CEOF
  775 /^[  ]*#[    ]*undef[    ][  ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[    ]*$/b def
  776 /^[  ]*#[    ]*define[   ][  ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(   ]/b def
  777 b
  778 :def
  779 s/$/ /
  780 s,^\([   #]*\)[^     ]*\([   ]*PACKAGE_NAME\)[   (].*,\1define\2 "FULL-PACKAGE-NAME" ,
  781 s,^\([   #]*\)[^     ]*\([   ]*PACKAGE_TARNAME\)[    (].*,\1define\2 "full-package-name" ,
  782 s,^\([   #]*\)[^     ]*\([   ]*PACKAGE_VERSION\)[    (].*,\1define\2 "VERSION" ,
  783 s,^\([   #]*\)[^     ]*\([   ]*PACKAGE_STRING\)[     (].*,\1define\2 "FULL-PACKAGE-NAME VERSION" ,
  784 s,^\([   #]*\)[^     ]*\([   ]*PACKAGE_BUGREPORT\)[  (].*,\1define\2 "BUG-REPORT-ADDRESS" ,
  785 s,^\([   #]*\)[^     ]*\([   ]*HAVE_LIBM\)[  (].*,\1define\2 1 ,
  786 s,^\([   #]*\)[^     ]*\([   ]*STDC_HEADERS\)[   (].*,\1define\2 1 ,
  787 s,^\([   #]*\)[^     ]*\([   ]*HAVE_SYS_TYPES_H\)[   (].*,\1define\2 1 ,
  788 s,^\([   #]*\)[^     ]*\([   ]*HAVE_SYS_STAT_H\)[    (].*,\1define\2 1 ,
  789 s,^\([   #]*\)[^     ]*\([   ]*HAVE_STDLIB_H\)[  (].*,\1define\2 1 ,
  790 s,^\([   #]*\)[^     ]*\([   ]*HAVE_STRING_H\)[  (].*,\1define\2 1 ,
  791 s,^\([   #]*\)[^     ]*\([   ]*HAVE_MEMORY_H\)[  (].*,\1define\2 1 ,
  792 s,^\([   #]*\)[^     ]*\([   ]*HAVE_STRINGS_H\)[     (].*,\1define\2 1 ,
  793 s,^\([   #]*\)[^     ]*\([   ]*HAVE_INTTYPES_H\)[    (].*,\1define\2 1 ,
  794 s,^\([   #]*\)[^     ]*\([   ]*HAVE_STDINT_H\)[  (].*,\1define\2 1 ,
  795 s,^\([   #]*\)[^     ]*\([   ]*HAVE_UNISTD_H\)[  (].*,\1define\2 1 ,
  796 s,^\([   #]*\)[^     ]*\([   ]*HAVE_FCNTL_H\)[   (].*,\1define\2 1 ,
  797 s,^\([   #]*\)[^     ]*\([   ]*HAVE_STDLIB_H\)[  (].*,\1define\2 1 ,
  798 s,^\([   #]*\)[^     ]*\([   ]*HAVE_STRING_H\)[  (].*,\1define\2 1 ,
  799 s,^\([   #]*\)[^     ]*\([   ]*HAVE_UNISTD_H\)[  (].*,\1define\2 1 ,
  800 s,^\([   #]*\)[^     ]*\([   ]*HAVE_MEMSET\)[    (].*,\1define\2 1 ,
  801 s,^\([   #]*\)[^     ]*\([   ]*HAVE_MKDIR\)[     (].*,\1define\2 1 ,
  802 s,^\([   #]*\)[^     ]*\([   ]*HAVE_RMDIR\)[     (].*,\1define\2 1 ,
  803 s/ $//
  804 s,^[     #]*u.*,/* & */,
  805 CEOF
  806     sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
  807 ac_result="$tmp/out1"
  808   if test x"$ac_file" != x-; then
  809     echo "/* $configure_input  */" >"$tmp/config.h"
  810     cat "$ac_result" >>"$tmp/config.h"
  811     if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
  812       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  813 echo "$as_me: $ac_file is unchanged" >&6;}
  814     else
  815       rm -f $ac_file
  816       mv "$tmp/config.h" $ac_file
  817     fi
  818   else
  819     echo "/* $configure_input  */"
  820     cat "$ac_result"
  821   fi
  822   rm -f "$tmp/out12"
  823  ;;
  824 
  825 
  826   esac
  827 
  828 done # for ac_tag
  829 
  830 
  831 { (exit 0); exit 0; }